# Return whether cPanel account has shell access

This function returns whether the cPanel account has shell access and the account's shell path.

Endpoint: GET /ssh/get_shell
Version: 11.136.0.4
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_shell"

  - `module` (string)
    The name of the module called.
    Example: "SSH"

  - `result` (object)

  - `result.data` (object)

  - `result.data.has_terminal_access` (boolean)
    Whether the cPanel account has shell access.

* true - Account has shell access.
* false - Account does not have shell access.
    Example: true

  - `result.data.shell` (string)
    The cPanel account's shell path.
    Example: "/bin/bash"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


